## python-disptrans 0.0.1

=== requirements.txt ===
numba
numpy
scipy

=== debian/changelog ===
python-disptrans (0.0.1-6) unstable; urgency=medium

  * Updated 001 patch for removing python3-numba depends in
    setup.py and other requirement files.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 01 Feb 2024 12:30:00 +0000

python-disptrans (0.0.1-5) unstable; urgency=medium

  * Included patch for removing python3-numba depends.
  * Removed python3-numba from d/control.
  * Added 2024 to debian/* in copyright.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 30 Jan 2024 18:00:00 +0000

python-disptrans (0.0.1-4) unstable; urgency=medium

  * Enabled tests in Python 3.12.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 07 Jan 2024 23:30:00 +0000

python-disptrans (0.0.1-3) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Remove autopkgtest-pkg-pybuild from control to avoid a
    segmentation fault in s390x; replace with a manually defined
    autopkgtest.
  * Disabled test during build and disabled autopkgtest until numba
    compatible with Python 3.12. (Closes: # 1058480)

  [ Emmanuel Arias ]
  * d/control: Remove <!nocheck> profile for Build Depends packages used
    during build and not only tests: python3-all, python3-numba and
    python3-numpy.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Fri, 15 Dec 2023 00:15:00 +0000

python-disptrans (0.0.1-2) unstable; urgency=medium

  * Included copyright License for debian/*.
  * Source only upload for migration to testing.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 15 Nov 2023 02:52:00 +0000

python-disptrans (0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1054916)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 14 Nov 2023 08:58:20 +0000

=== debian/control ===
Source: python-disptrans
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/garrettj403/DispersionTransform
Vcs-Git: https://salsa.debian.org/python-team/packages/python-disptrans.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-disptrans
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-scikit-rf <!nocheck>,
               python3-numpy
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: python3-disptrans
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python3-matplotlib,
          python3-scikit-rf
Pre-Depends: ${misc:Pre-Depends}
Description: Dispersion-Compensated Algorithm
 It is an algorithm for the analysis for electromagnetic
 waveguides. It allows one to map dispersive waveguide data
 from the frequency-domain to distance-domain, and vice versa.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=disptrans
export PYBUILD_TEST_ARGS=test_disptrans.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: runtest
Depends: @, python3-all, python3-pytest, python3-scikit-rf
Restrictions: allow-stderr
# Tests trigger a segmentation fault on s390x, unrelated to disptrans
Architecture: !s390x

=== debian/watch ===
version=4
https://github.com/garrettj403/DispersionTransform/tags .*/(\d\S+)\.tar\.gz
